fop 1.1

## org.apache.fop.fo.expr
Class FromParentFunction

    java.lang.Object
      org.apache.fop.fo.expr.FunctionBase
          org.apache.fop.fo.expr.FromParentFunction

All Implemented Interfaces:
  Function

    public class FromParentFunction

extends FunctionBase

Class modelling the from-parent Property Value function. See Sec. 5.10.4 of the XSL-FO spec.

Constructor Summary
`FromParentFunction()`

Method Summary
`Property` `eval(Property[] args, PropertyInfo pInfo)` Evaluate the function
`Property` `getOptionalArgDefault(int index, PropertyInfo pi)`
`int` `getOptionalArgsCount()`
`int` `getRequiredArgsCount()`

Methods inherited from class org.apache.fop.fo.expr.FunctionBase
`getPercentBase, getPropertyName, hasVariableArgs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FromParentFunction

    public FromParentFunction()

Method Detail

### getRequiredArgsCount

    public int getRequiredArgsCount()

  Returns:
    the number of required (non-optional) arguments that must be specified in the argument list

### getOptionalArgsCount

    public int getOptionalArgsCount()

  Description copied from class: `FunctionBase`

  Specified by:
    `getOptionalArgsCount` in interface `Function`
  Overrides:
    `getOptionalArgsCount` in class `FunctionBase`
  Returns:
    the number of non-required (optional) arguments that may be specified in the argument list, which, if specified, must follow the required arguments

### getOptionalArgDefault

    public Property getOptionalArgDefault(int index,
                                          PropertyInfo pi)
                                   throws PropertyException

  Description copied from class: `FunctionBase`

  Specified by:
    `getOptionalArgDefault` in interface `Function`
  Overrides:
    `getOptionalArgDefault` in class `FunctionBase`
  Parameters:
    `index` - of optional argument
    `pi` - property information instance that applies to property being evaluated
  Returns:
    the default property value for the optional argument at INDEX, where INDEX is with respect to optional arguments; i.e., the first optional argument position is index 0; if no default for a given index, then null is returned
  Throws:
    `PropertyException` - if index is greater than or equal to optional args count

### eval

    public Property eval(Property[] args,
                         PropertyInfo pInfo)
                  throws PropertyException

  Evaluate the function

  Parameters:
    `args` - an array of Properties that should be evaluated
    `pInfo` - property information instance that applies to property being evaluated
  Returns:
    the Property satisfying the function
  Throws:
    `PropertyException` - for problems when evaluating the function

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.